Class which calculates CP values

### Hierarchy

- CPCalculator

## Index

### Methods

- Calculate

## Methods

### Static Calculate

- Calculate(baseStamina: number, baseAttack: number, baseDefense: number): number

- - Defined in components/pokemon/shared/cp-calculator/cp-calculator.ts:18

  Calculates the maximum CP amount of the given Stamina, Attack and Defense values. Formula source: https://www.reddit.com/r/TheSilphRoad/comments/4t7r4d/exact_pokemon_cp_formula/

  #### Parameters

  - ##### baseStamina: number

    The base stamina of the Pokemon

  - ##### baseAttack: number

    The base attack of the Pokemon

  - ##### baseDefense: number

    The base defemse of the Pokemon

  #### Returns number

  The maximum CP amount of the given values

Generated using TypeDoc